from core.trade_constants import ORDER_STATUS_PENDING, ORDER_TYPE_LIMIT
from datetime import datetime

class LocalOrder:
    def __init__(self, order_id, code, price, amount, direction, order_type=ORDER_TYPE_LIMIT, filled=0, status=ORDER_STATUS_PENDING, created_time=datetime.now()):
        self.order_id: str = order_id
        self.code: str = code
        self.price: float = price
        self.amount: int = amount
        self.filled: int = filled
        self.direction: str = direction
        self.order_type: str = order_type
        self.status: str = status
        self.created_time: datetime = created_time


